*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}
        
body{
  font-family: "Open Sans", sans-serif;
  font-family: 'Ubuntu', sans-serif;
  background: black;
}

.hero_section .container{
  border: 1px solid #1E293B;
}
h1{
  letter-spacing: 1px;
  color: #F8FAFC;
}
h2{
  color: white;
  letter-spacing: 1px;
}

.logo h2{
  font-weight: bold;
}

/*Navbar styling start from here*/

nav {
  background: black;
  height: 70px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 40px;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  transition: box-shadow 0.3s ease;
  color: white;
  border-bottom: 1px solid #1E293B;
}

nav.scrolled {
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
}

.nav-links{
    display: flex;
    gap: 25px;
}

.nav-links a {
  text-decoration: none;
  color: white;
  font-size: 1.1rem;
  transition: color 0.3s ease;
}

.nav-links a:hover {
  color: #6945e0;
}

.nav-actions {
  display: flex;
  gap: 15px;
}

.nav-actions a {
  text-decoration: none;
  font-size: 1.1rem;
  padding: 8px 16px;
  border-radius: 5px;
  transition: background 0.3s ease, color 0.3s ease;
}

.signin {
  color: white;
}

.signup{
  background: white;
  color: black;
}

.signup:hover {
  background: #6945e0;
  color: white;
}

.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;
  z-index: 1100;
}

.menu-toggle span {
  height: 3px;
  width: 25px;
  background: #333;
  border-radius: 5px;
  transition: 0.3s;
}

.menu-toggle.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2) {
  opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -5px);
}

.mobile-menu {
  display: none;
  flex-direction: column;
  background: black;
  color: #94A3B8;
  position: fixed;
  top: 70px;
  right: 0;
  width: 100%;
  padding: 20px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease;
  z-index: 10000;
}

.mobile-menu.show {
  display: flex;
  max-height: 500px;
  box-shadow: 0 5px 10px rgba(0,0,0,0.1);
}

.mobile-menu a {
  text-decoration: none;
  color: #94A3B8;
  font-size: 1.2rem;
  margin: 10px 0;
  transition: color 0.3s ease;
}

.mobile-menu a:hover {
  color: #2f80ed;
}

@media (max-width: 768px) {
    .nav-links, .nav-actions {
    display: none;
  }

  .menu-toggle {
    display: flex;
  }
}


/*hero section start from here*/

.hero_section{
  width: 100%;
  height: 100vh;
  padding: 25px;
  background: black;
}

.hero_section h1{
  letter-spacing: 1.5px;
  margin-top: 220px;
  font-size: 48px;
  color: #F8FAFC;
}
.hero_section p{
  color: #94A3B8;
}


.hero_section a{
  text-decoration: none;
  display: block;
  font-weight: bold;
}

.joinbtn{
  background: white;
  color: black;
  padding: 5px 25px;
  border: none;
  border-radius: 5px;
  transition: 0.5s;
}
.joinbtn:hover{
  background: #6945e0;
  color: white;
}


/*chatgpt section styling*/

.chatgpt{
}
.chatgpt p{
  color: #94a3b8;
}
.chatgpt li{
  list-style: none;
  color: #94a3b8;
  margin-top: 2px;
  font-size: 12px;
}
.chatgpt img{
  width: 100%;
  height: 350px;
  margin-top: ;
}
.chatgpt .bring{
  width: 100%;
  padding: 15px;
  border: 1px solid #1e293b;
  border-radius: 8px;
}
.chatgpt .bring h6{
  color: white;
}


/*platform section what you can do*/

.platform{
  margin-top: 100px;
}
span{
  letter-spacing: 2px;
}
.platform p{
  color: #94a3b8;
}
.platform .card1{
  width: 100%;
  height: 300px;
  background: black;
  border: 1px solid #1e293b;
  margin-top: 30px;
  padding: 15px;
  border-radius: 5px;
}
.platform .card1 p{
  color: #94a3b8;
  margin-top: 10px;
}
.platform .card1 h6{
  color: white;
  margin-top: 50px;
}
.platform .card1 .card1_icon{
  width: 55px;
  height: 55px;
  border: 1px solid #1e293b;
  border-radius: 5px;
  text-align: center;
  line-height: 55px;
}
.platform .card1 .card1_icon img{
  width: 40px;
  height: 40px;
}

/*over view styling start from here*/

.overview{
  margin-top: 100px;
}
.overview p{
  color: #94a3b8;
}


.circle{
  position:relative;
  width:360px;
  height:360px;
  border-radius: 50%;
  margin: auto;
}


svg{
  width:100%;
  height:100%;
  transform:rotate(-90deg);
  border-radius: 50%;
}

circle{
  fill:none;
  stroke:#94a3b8;
  stroke-width:2;
  stroke-dasharray:0.18 0.82;
  animation:rotate 3s linear infinite;
  filter:
    drop-shadow(0 0 10px #94a3b8)
    drop-shadow(0 0 30px #94a3b8);
}


.inner{
  position:absolute;
  inset:0;
  display:flex;
  justify-content:center;
  align-items:center;
}


.cross{
  position:absolute;
  width:70%;
  height:70%;
}

.cross::before,
.cross::after{
  content:"";
  position:absolute;
  background:#94a3b8;
  filter:drop-shadow(0 0 12px #94a3b8);
  animation:blink 1.5s infinite alternate;
}

.cross::before{
  width:2px;
  height:100%;
  left:50%;
  transform:translateX(-50%);
}

.cross::after{
  height:2px;
  width:100%;
  top:50%;
  transform:translateY(-50%);
}


.bars{
  display:flex;
  gap:14px;
  z-index:2;
}

.bar{
  width:50px;
  height:50px;
  border:2px solid #94a3b8;
  animation:blink 1.2s infinite alternate;
  filter:drop-shadow(0 0 10px #94a3b8);
  border-radius: 5px;
  text-align: center;
}
.bar img{
  width: 40px;
  height: 40px;
  line-height: 50px;
}

.bar:nth-child(2){animation-delay:.2s;}
.bar:nth-child(3){animation-delay:.4s;}
.bar:nth-child(4){animation-delay:.6s;}
.bar:nth-child(5){animation-delay:.8s;}

@keyframes rotate{
  from{stroke-dashoffset:0;}
  to{stroke-dashoffset:-1;}
}

@keyframes blink{
  from{opacity:0.3;}
  to{opacity:1;}
}


/*deployment*/

.deployment{
  margin-top: 140px;
}
.deployment p{
  color: #94A3B8;
}
.deployment .deploy_2box h5{
  color: white;
}
.deployment .deploy_2box{
  width: 100%;
  height: 250px;
  border: 1px solid #1e293b;
  padding: 20px;
  border-radius: 5px;
  margin-top: 40px;
}

.deployment .deploy_icon{
  width: 55px;
  height: 55px;
  border: 1px solid #1e293b;
  border-radius: 8px;
  text-align: center;
  line-height: 51px;
}
.deployment .deploy_icon img{
  width: 45px;
  height: 45px;
  border-radius: 8px;
}

.deployment .deploy_3box{
  border-radius: 8px;
  border: 1px solid #1e293b;
  margin-top: 40px;
  height: 150px;
  padding: 20px;
}
.deployment .deploy_3box h6{
  color: white;
}
.deployment .deploy_3box_icon{
  width: 55px;
  height: 55px;
  border: 1px solid #1e293b;
  border-radius: 8px;
  text-align: center;
  line-height: 52px;
  background: black;
}
.deployment .deploy_3box_icon img{
  width: 40px;
  height: 40px;
}


/*storage*/


/*features section style*/

.feature{
  margin-top: 150px;
}
.feature p{
  color: #94A3B8;
}
.feature h5{
  color: white;
  font-size: 16px;
}
.f_card{
  width: 100%;
  border: 1px solid #1e293b;
  border-radius: 5px;
  margin-top: 40px;
  padding: 20px;
}
.f_card p{
  font-size: 13px;
}
.f_card a{
  color: #94A3B8;
  text-decoration: none;
}

/*how it work style*/

.how{
  width: 100%;
  background: ;
  margin-top: 100px;
  padding-top: 25px;
  padding: 15px;
}


.how_card{
  width: 100%;
  height: 300px;
  background: ;
  border-radius: 10px;
  margin-top: 50px;
  padding: 15px;
  color: ;
  box-shadow: 1px 1px 1px 1px rgba(02, 0, 0, 0.1),-1px -1px 1px 1px rgba(02, 0, 0, 0.1);
}

.how_card h6{
  font-weight: bold;
  margin-top: 30px;
  color: white;
}
.how_card p{
  color: #94A3B8;
}
.how_card_icon{
  width: 60px;
  height: 60px;
  border-radius: 15px;
  text-align: center;
  line-height: 60px;
  box-shadow: 1px 1px 1px 1px rgba(0, 0, 0, 0.1),-1px -1px 1px 1px rgba(0, 0, 0, 0.1);
}

.how_card_icon img{
  width: 45px;
  height: 45px;
}


/*monetization*/

.monetization{
  margin-top: 100px;
}
.monetization p{
  color: #94a3b8;
}
.monetization h6{
  color: white;
  font-weight: bold;
}
.monetization .card img{
  width: 60px;
  height: 60px;
  margin-top: 25px;
}

.monetization .card{
  background: black;
  border: 1px solid #1e293b;
}

.monetization .card .card-body a{
  color: #94a3b8;
}
.card img{
  width:60px;
  height:60px;
}

/*hosting*/

.hosting{
  margin-top: 100px;
}
.hosting .card{
  background: black;
}
.hosting p{
  color: #94a3b8;
}
.hosting h4{
  color: white;
}
.hosting_btn{
  margin-top: 40px;
}

.hosting_btn button{
  border: 1px solid lightgray;
}


.hosting_container{
  width: 100%; 
  border-radius: 10px;
  margin-top: 40px;
  padding: 25px;
}

.hosting_container h4{
  font-weight: bold;
}

.mark2{
  color: #6945E0;
}
.hosting_container2{
  width: 100%;
  border-radius: 10px;
  margin-top: 40px;
  display: none;
  padding: 25px;
}
.hosting h5{
  color: white;
}
.hosting_flex{
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
.hosting a{
  color: #6945E0;
  display: block;
  margin-top: 20px;
  margin-left: 45px;
}




/*developer style*/

.developer{
  margin-top: 100px;
  background: black;
  color: white;
  padding: 25px;
}

.developer li{
  list-style: none;
}

.developer li i{
  color: rgba(39, 174, 96,1.0);
  margin-right: 5px;
}
.developer .developer_second h5{
  margin-left: 100px;
}
.developer .developer_second p{
  margin-left: 100px;
}
.developer .developer_second li{
  margin-left: 100px;
}


/*faq*/

.faq{
  margin-top: 120px;
}
.faq p{
  color: #94a3b8;
}

.faq_box{
  width: 100%;
  height: 120px;
  display: flex;
  justify-content: space-around;
  margin-top: 40px;
}
.faq_icon{
  width: 50px;
  height: 50px;
  border: 1px solid lightgray;
  border-radius: 5px;
  text-align: center;
  line-height: 48px;
}
.faq_icon img{
  width: 40px;
  height: 40px;
}
.faq_text{
  width: 80%;
  padding: 10px;
}
.faq_text h6{
  color: white;
}

/*footer section style*/

.footer{
  width: 100%;
  height: 450px;
  margin-top: 120px;
  background: black;
  color: white;
  border-top: 1px solid #1e293b;
}
.footer p{
  color: #94a3b8;
}
.footer div{
  padding: 20px;
}

.footer li{
  list-style: none;
  margin-top: 15px;
}

.footer li a{
  text-decoration: none;
  color: #94a3b8;
}

.footer li a:hover{
  color: blue;
}

.footer h2{
  font-weight: bold;
}

/*about us page styling*/

.mission_image img{
  width: 100%;
  border-radius: 10px;
}

@media (max-width: 768px){
    .hero_section h1{
        margin-top: 110px;
        font-size: 40px;
    }
    .exp{
        display: block;
        margin-top: 10px;
        margin-left: -3px;
    }
    .chatgpt{
        margin-top: 120px;
    }
    .circle{
        margin-top: 90px;
    }
    .faq_box{
        margin-top: 110px;
    }
    .mobile-menu.show{
        height: 1000px;
    }
}

@media (max-width: 1000px){
    .hero_section{
        height: 600px;
    }
}



